Vérifiez que tous les composants respectent les conditions requises de compatibilité de base avant de mettre à niveau vCenter Server.

Avant de commencer

Assurez-vous que votre système remplit les conditions matérielles et logicielles requises. Voir Configuration requise de vCenter Server pour Windows et Configuration requise de vCenter Server Appliance

Si des solutions ou des plug-ins sont installés, vérifiez la matrice d'interopérabilité des produits VMware. Reportez-vous à http://www.vmware.com/resources/compatibility/sim/interop_matrix.php

Pourquoi et quand exécuter cette tâche

La mise à niveau du système d'exploitation d'une machine vCenter Single Sign-On 5.1 de Windows 2003 vers Windows 2008 dans le but de respecter la configuration requise du système d'exploitation peut provoquer des symptômes similaires à ceux qui sont décrits dans l'article 2036170 de la base de connaissances.

Procédure

  1. Le chemin d'accès d'installation de la version précédente de vCenter Server doit être compatible avec les conditions d'installation pour Microsoft Active Directory Application Mode (ADAM/AD LDS).

    Le chemin d'installation ne peut pas contenir les caractères suivants : caractères non-ASCII, virgule (,), point (.), point d'exclamation (!), dièse (#), arobase (@) et symbole de pourcentage (%).

    Si la version précédente de vCenter Server n'est pas conforme à cette exigence, vous devez effectuer une nouvelle installation de vCenter Server.

  2. Assurez-vous que le système vCenter Server n'est pas un contrôleur de domaine Active Directory principal ou de sauvegarde.
  3. Mettez à jour tout hôte ESX/ESXi 4.1 vers la version 5.x.
  4. Si vous préférez ne pas mettre à niveau certains de vos hôtes ESX 4.x, vous devez les retirer de l'inventaire vCenter Server.
  5. Si l'environnement vCenter Server 4.x que vous mettez à niveau inclut Guided Consolidation 4.x, désinstallez Guided Consolidation avant d'effectuer la mise à niveau vers vCenter Server 6.0.